Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.personalization
Interface RuleExit

    public interface RuleExit

The item is designed to provide the ability to alter the default flow of processing of content spots.

One instance of this interface will function as the rule exit for all content spots.

Prior to rule execution, you have:

- Access to request and session information
- Ability to set information in the personalization context, including changing the user
- Ability to get campaign name
- Ability to get which rule will be executed for campaign
- Ability to override and specify the rule to be executed
- Ability to bypass rule execution

After rule execution:

- Ability to add result items
- Ability to remove result items
- Ability to completely replace result items

Field Summary
`static java.lang.String` | `COPYRIGHT`

Method Summary
`void` | `aboutToExecuteRule(RuleTrigger contentSpot, RequestContext requestContext)` Called prior to rule execution.
`java.lang.Object[]` | `getFilteredResults(RuleTrigger contentSpot, RequestContext requestContext, java.lang.Object[] originalResults)` Called after rule execution.

Field Detail

### COPYRIGHT

    static final java.lang.String COPYRIGHT

Method Detail

### aboutToExecuteRule

    void aboutToExecuteRule(RuleTrigger contentSpot,
                            RequestContext requestContext)

  Called prior to rule execution.

  Parameters:
    `contentSpot` - - The content spot that is being processed.
    `requestContext` - - The personalization request context that is in place for this rule execution.

### getFilteredResults

    java.lang.Object[] getFilteredResults(RuleTrigger contentSpot,
                                          RequestContext requestContext,
                                          java.lang.Object[] originalResults)

  Called after rule execution. Exit to allow for changing the results of the rule execution. For instance, this method might be used to apply access control from an external access control provider.

  Parameters:
    `contentSpot` - - The content spot that is being processed.
    `requestContext` - - The personalization request context that is in place for this rule execution.
  Returns:
    filteredResults - The content returned from rule execution. The exit should return the original array if no changes are needed.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD